# Contributing

## Reporting A Bug

FMTC is a large, platform-dependent package, and there's only one person running manual tests on it before releases, so there's a decent chance that a bug you've found is actually a bug. Reporting it is always appreciated!

Before reporting a bug, please:

* Check if there is already an open or closed issue that is similar to yours
* Ensure that your Flutter environment is correctly installed & set-up
* Ensure that this package, 'flutter_map', and any modules are correctly installed & set-up

## Contributing Code

Contributors are always welcome, and support is always greatly appreciated! Before opening a Pull Request, however, please open a feature request or bug report to link the PR to.

When submitting code, please:

* Keep code concise and in a similar style to surrounding code
* Document all public APIs in detail and with correct grammar
* Use the included linting rules
* Update the example application to appropriately consume any public API changes
* Avoid incrementing this package's version number or changelog
